{
  "semi": true,
  "trailingComma": "es5",
  "singleQuote": true,
  "printWidth": 100,
  "tabWidth": 2,
  "useTabs": false,
  "endOfLine": "lf",
  "overrides": [
    {
      "files": ["*.yml", "*.yaml"],
      "options": {
        "tabWidth": 2,
        "singleQuote": false,
        "printWidth": 120
      }
    },
    {
      "files": ["*.ts", "*.tsx"],
      "options": {
        "parser": "typescript",
        "printWidth": 100,
        "semi": true,
        "singleQuote": true,
        "trailingComma": "es5"
      }
    }
  ]
}
